Is there a minimum browser requirement?

  • Updated
  • Zingtree is compatible with most any modern web browser. Including but not limited to:

    • Chrome
    • Safari
    • Edge

    Note: Internet Explorer is not supported in future versions of Zingtree as Microsoft is retiring IE in 2022.

  • Zingtree is compatible with most any modern web browser. Including but not limited to:

    • Chrome
    • Safari
    • Edge

    Note: Internet Explorer is not supported in future versions of Zingtree as Microsoft is retiring IE in 2022.

  • Throughout 2022 Zingtree will be upgrading customers to our new faster and more modern user experience! Here's how to tell which experience your Zingtree Authors are currently using.

    Log in to your Zingtree Author account and navigate to My Trees. How does your current My Trees page look?

    Zingtree Classic

    2022-02-25_12-24-51.png

    New User Experience

    mceclip0.png

Was this article helpful?

0 out of 0 found this helpful

Have more questions? Submit a request